< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package calculations
  Definition Classes
    computations
- AdjustedTradingProfitCalculator
- AdjustedTradingProfitForPeriodCalculator
- AdjustedTradingProfitOrLossCalculator
- AnnualInvestmentAllowanceCalculator
- AnnualInvestmentAllowancePeriod
- AnnualInvestmentAllowancePeriods
- ApportionedTurnover
- ApportionedTurnoverCalculator
- BalancesResult
- ExpensesCalculator
- IncomeFromPropertyCalculator
- LossesBroughtForwardAgainstTradingProfitCalculator
- LossesCarriedForwardsCalculator
- LossesSetAgainstOtherProfitsCalculator
- LowEmissionCarsCalculator
- MachineryAndPlantCalculator
- NetProfitsChargeableToCtCalculator
- NetProfitsChargeableToCtWithoutDonationsCalculator
- NetTradingProfitCalculator
- NonBankInterestSimilarIncomeReceivableCalculator
- NonTradeIncomeCalculator
- PoolPercentageCalculator
- ProfitAndLossCalculator
- QualifyingExpenditureOnMachineryCalculation
- SBACalculator
- SummaryCalculator
- SummaryLossesArisingThisPeriodCalculator
- TotalAdditionsCalculator
- TotalDeductionsCalculator
- TotalExpenditureQualifyingForTheFirstYearAllowanceCalculator
- TotalFirstYearAllowanceClaimedCalculation
- TotalProfitsBeforeDeductionsCalculator
- TradingLossesCP286MaximumCalculator
- TradingLossesThisAndLaterPeriodCalculation
- WritingDownAllowanceCalculator

c

uk.gov.hmrc.ct.computations.calculations

# AnnualInvestmentAllowancePeriod 

###

#### case class AnnualInvestmentAllowancePeriod(start: LocalDate, end: LocalDate, maximumAllowed: Int) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnnualInvestmentAllowancePeriod
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AnnualInvestmentAllowancePeriod(start: LocalDate, end: LocalDate, maximumAllowed: Int)

### Type Members

1.  type ComputePeriodBetween = (LocalDate, LocalDate) ⇒ Int

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def encompasses(date: LocalDate): Boolean
7.  val end: LocalDate
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def fallsWithin(startDate: LocalDate, endDate: LocalDate): Boolean
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def intersectingPeriod(periodStart: LocalDate, periodEnd: LocalDate, periodBetween: ComputePeriodBetween): Int
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  val maximumAllowed: Int
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  val start: LocalDate
19.  def startDateFallsWithin(startDate: LocalDate, endDate: LocalDate): Boolean
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped